version: '3'

services:
  storage:
    command: ["-p", "-s", "storage.nopaque;/srv/nopaque/storage;no;no;no;nopaque", "-u", "nopaque;nopaque"]
    image: dperson/samba:latest
    ports:
      - 445:445
    restart: on-failure
    volumes:
      - /srv/nopaque/storage:/srv/nopaque/storage
  worker:
    image: docker:dind
    ports:
      - 2375
    privileged: true
    restart: on-failure
    volumes:
      - /mnt/nopaque:/mnt/nopaque
  viz:
    environment:
      - VIRTUAL_HOST=viz.localhost
    image: dockersamples/visualizer:latest
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
